Skip to main content
GET
/
v1
/
accounts
/
{account_id}
/
calls
/
{call_id}
Get a call
curl --request GET \
  --url https://api.itellico.ai/v1/accounts/{account_id}/calls/{call_id} \
  --header 'X-API-Key: <api-key>'
{
  "id": "<string>",
  "type": "<string>",
  "status": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "modified": "2023-11-07T05:31:56Z",
  "direction": "<string>",
  "answer_status": "waiting",
  "agent_id": "<string>",
  "agent_name": "<string>",
  "from_number": "<string>",
  "to_number": "<string>",
  "external_id": "<string>",
  "started_at": "2023-11-07T05:31:56Z",
  "ended_at": "2023-11-07T05:31:56Z",
  "duration_seconds": 123,
  "messages": [
    {
      "message": "<string>",
      "role": "user",
      "timestamp": "2023-11-07T05:31:56Z"
    }
  ],
  "capture": {
    "recording_url": "<string>"
  }
}

Authorizations

X-API-Key
string
header
required

Path Parameters

account_id
string<uuid4>
required
call_id
string<uuid4>
required

Response

OK

id
string<uuid4>
required
type
string
required
status
string
required
created
string<date-time>
required
modified
string<date-time>
required
direction
string | null
answer_status
enum<string> | null

How the call was answered when known (waiting, human, machine, user_rejected, user_unavailable, user_busy, or unknown).

Available options:
waiting,
human,
machine,
user_rejected,
user_unavailable,
user_busy,
unknown
agent_id
string<uuid4> | null
agent_name
string | null
from_number
string | null
to_number
string | null
external_id
string | null
started_at
string<date-time> | null
ended_at
string<date-time> | null
duration_seconds
integer | null
messages
(UserMessageSchema · object | AgentMessageSchema · object | SystemMessageSchema · object | ToolMessageSchema · object | EventMessageSchema · object)[]
capture
ConversationCaptureSchema · object

Capture artifacts associated with a conversation.